# Generated by Django 4.1 on 2022-08-20 00:18

from django.db import migrations, models
import edc_model.validators.date


class Migration(migrations.Migration):

    dependencies = [
        ("meta_subject", "0137_alter_egfrdropnotification_egfr_percent_change_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="glucose",
            name="fbg_datetime",
            field=models.DateTimeField(
                blank=True, null=True, verbose_name="FBG date/time measured"
            ),
        ),
        migrations.AlterField(
            model_name="glucose",
            name="ogtt_base_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="(glucose solution given)",
                null=True,
                validators=[edc_model.validators.date.datetime_not_future],
                verbose_name="Date/time oral glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="glucose",
            name="ogtt_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="(2 hours after glucose solution given)",
                null=True,
                validators=[edc_model.validators.date.datetime_not_future],
                verbose_name="Date/time blood glucose measured 2hrs <u>after</u> oral glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="glucose",
            name="ogtt_value",
            field=models.DecimalField(
                blank=True,
                decimal_places=2,
                help_text="A `HIGH` reading may be entered as 9999.99",
                max_digits=8,
                null=True,
                verbose_name="Blood glucose measure 2hrs <u>after</u> oral glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalglucose",
            name="fbg_datetime",
            field=models.DateTimeField(
                blank=True, null=True, verbose_name="FBG date/time measured"
            ),
        ),
        migrations.AlterField(
            model_name="historicalglucose",
            name="ogtt_base_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="(glucose solution given)",
                null=True,
                validators=[edc_model.validators.date.datetime_not_future],
                verbose_name="Date/time oral glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalglucose",
            name="ogtt_datetime",
            field=models.DateTimeField(
                blank=True,
                help_text="(2 hours after glucose solution given)",
                null=True,
                validators=[edc_model.validators.date.datetime_not_future],
                verbose_name="Date/time blood glucose measured 2hrs <u>after</u> oral glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalglucose",
            name="ogtt_value",
            field=models.DecimalField(
                blank=True,
                decimal_places=2,
                help_text="A `HIGH` reading may be entered as 9999.99",
                max_digits=8,
                null=True,
                verbose_name="Blood glucose measure 2hrs <u>after</u> oral glucose solution given",
            ),
        ),
    ]
